Method: customers.v2.Schemas.list

检索所有架构。

HTTP 请求

GET https://cloudidentityscim.googleapis.com/v1/customers/{customerId}/v2/Schemas

网址采用 gRPC 转码语法。

路径参数

参数
customerId

string

必需。客户 ID。

请求正文

请求正文必须为空。

响应正文

列出架构的响应消息。

如果成功,响应正文将包含结构如下的数据:

JSON 表示法
{
  "schemas": [
    string
  ],
  "resources": [
    {
      object (Schema)
    }
  ],
  "totalResults": integer
}
字段
schemas[]

string

返回的资源的架构。

resources[]

object (Schema)

所请求的资源列表。

totalResults

integer

结果总数。

授权范围

需要以下 OAuth 范围之一:

  • https://www.googleapis.com/auth/cloud-identity.groups.readonly
  • https://www.googleapis.com/auth/cloud-identity.groups
  • https://www.googleapis.com/auth/cloud-identity
  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/admin.directory.user.readonly
  • https://www.googleapis.com/auth/admin.directory.user

如需了解详情,请参阅授权指南